Bug 1128472 - UAS over USB-2 hangs and crashes kernel
Summary: UAS over USB-2 hangs and crashes kernel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 20
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-10 18:03 UTC by Hin-Tak Leung
Modified: 2014-08-17 06:04 UTC (History)
14 users (show)

Fixed In Version: kernel-3.15.10-200.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of: 1121288
Environment:
Last Closed: 2014-08-16 22:30:37 UTC


Attachments (Terms of Use)
dmesg with 3.16, when "options usb-storage quirks=0bc2:2312:u" to added to keep things working. (67.74 KB, text/plain)
2014-08-10 18:03 UTC, Hin-Tak Leung
no flags Details
lspci -nn (2.86 KB, text/plain)
2014-08-10 18:05 UTC, Hin-Tak Leung
no flags Details
lsusb -v (22.13 KB, text/plain)
2014-08-10 18:10 UTC, Hin-Tak Leung
no flags Details

Description Hin-Tak Leung 2014-08-10 18:03:43 UTC
Created attachment 925529 [details]
dmesg with 3.16, when "options usb-storage quirks=0bc2:2312:u" to added to keep things working.

+++ This bug was initially created as a clone of Bug #1121288 +++

Description of problem:
Some other info of my setup were posted in
https://bugzilla.redhat.com/show_bug.cgi?id=1121288#c20
since 3.15.7-200.fc20.x86_64 crashes on me (and I don't have a xhci controller), I think I need my own bug.

Version-Release number of selected component (if applicable):
kernel-3.15.7-200.fc20.x86_64 and 3.16.0-1.fc21.x86_64

How reproducible:
Always - with 3.15.7 or 3.16.0.
Works okay in 3.13.10 or earlier.

Steps to Reproduce:
2. plug in external usb drive
3. see errors starts to appear in dmesg, and machine freezes after minute or two.

Actual results:
machine freezes after a minute or two.

Expected results:
Functional access to external usb drive.

Additional info:
The actual crashes and kernel stack trace was posted in 
https://bugzilla.redhat.com/show_bug.cgi?id=1121288#c20

"options usb-storage quirks=0bc2:2312:u" in /etc/modprobe.d/local.conf work arounds the problem, for the time being, until somebody can do a proper fix.

Comment 1 Hin-Tak Leung 2014-08-10 18:05:38 UTC
Created attachment 925531 [details]
lspci -nn

Note that I do not have a xhci controller - it is a somewhat old laptop without usb 3 support, I believe.

Comment 2 Hin-Tak Leung 2014-08-10 18:10:16 UTC
Created attachment 925532 [details]
lsusb -v

Note all the logs supplied here (dmesg, lspci, lsusb) were generated with the usb-storage quirk work around, so as to provide id info, as otherwise the machine would freeze when the drive is connected. The actual crash stack trace was already posted in 

https://bugzilla.redhat.com/show_bug.cgi?id=1121288#c20 and https://bugzilla.redhat.com/show_bug.cgi?id=1121288#c21 .

Comment 3 Hans de Goede 2014-08-12 10:25:19 UTC
Thanks for filing a new bug for tracking your problem.

I think I know what is going on in your case, I've prepared a kernel scratch build with a patch which I believe will fix this:

http://koji.fedoraproject.org/koji/taskinfo?taskID=7277068

Note this is currently still building. Please download kernel-3.15.9...rpm for your architecture, then install it using: "sudo rpm -ivh kernel-3.15.9...rpm".

Then reboot into the new kernel without using "options usb-storage quirks=0bc2:2312:u" and see if the new kernel fixes things.

Please let me know if this fixes things, then I'll add the patch to the official Fedora kernel packages.

Thanks & Regards,

Hans

Comment 4 Hin-Tak Leung 2014-08-13 22:16:43 UTC
> http://koji.fedoraproject.org/koji/taskinfo?taskID=7277068

Took the usb quirks workaround off and reboot, and it works. Please prepare and release update. Also, if appropriate, please feel free to include Tested-By: in upstreaming the patch.

BTW, while looking at the /var/log/messages, I see the drive has always generated an "Unexpected sense data" on ATA command IDENTIFY DEVICE . I'll file a bug against udisks2 at some point, though that's just unsighty and rather harmless.

Comment 5 Fedora Update System 2014-08-15 12:47:58 UTC
kernel-3.15.10-200.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kernel-3.15.10-200.fc20

Comment 6 Fedora Update System 2014-08-16 00:31:56 UTC
Package kernel-3.15.10-200.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.15.10-200.fc20'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9466/kernel-3.15.10-200.fc20
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-08-16 22:30:37 UTC
kernel-3.15.10-200.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Hin-Tak Leung 2014-08-17 06:04:08 UTC
Thanks for the speedy response. Am using 3.16.1-300.fc21.x86_64 now, which also contains the update.


Note You need to log in before you can comment on or make changes to this bug.